Last Comment Bug 666052 - Remove unused NSPR defines for events, hashtables and arenas
: Remove unused NSPR defines for events, hashtables and arenas
Status: RESOLVED FIXED
[fixed-in-tracemonkey]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: general
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: 666042
  Show dependency treegraph
 
Reported: 2011-06-21 15:13 PDT by Paul Biggar
Modified: 2011-06-27 11:39 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
remove NSPR PL defs (3.75 KB, patch)
2011-06-21 15:13 PDT, Paul Biggar
luke: review+
Details | Diff | Splinter Review

Description Paul Biggar 2011-06-21 15:13:33 PDT
Created attachment 540909 [details] [diff] [review]
remove NSPR PL defs

These are completely unused.
Comment 1 Luke Wagner [:luke] 2011-06-21 20:03:46 PDT
I thought the goal was to just straight-up kill jsotypes.h?
Comment 2 Paul Biggar 2011-06-22 16:00:35 PDT
Sure, this is a step on the way. There may be some issues with dealing with integer types, but I wouldn't like to hold up removing other legacy stuff in case we can't fix integers to a high enough standard.
Comment 3 Paul Biggar 2011-06-22 16:03:26 PDT
I'll port some deprecation bugs to use deprecated.h (bug 666316), but I think these defines should just be deleted, not deprecated.
Comment 4 Luke Wagner [:luke] 2011-06-22 17:43:01 PDT
Comment on attachment 540909 [details] [diff] [review]
remove NSPR PL defs

Well then bombs away
Comment 6 Chris Leary [:cdleary] (not checking bugmail) 2011-06-27 11:39:26 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/15bd92690510

Note You need to log in before you can comment on or make changes to this bug.